
% EKUT-beamer-theme version v1.1.0-8-g69ef03a (Tue Nov 22 15:53:49 UTC 2022)
% from: https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme
% latest changes: Yann Büchau (@nobodyinperson) - nobodyinperson@posteo.de


% EKUT-beamer-theme version v1.1.0-8-g69ef03a (Tue Nov 22 15:53:49 UTC 2022)
% from: https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme
% latest changes: Yann Büchau (@nobodyinperson) - nobodyinperson@posteo.de

% written by Yann Büchau
% https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme

\mode<presentation>

\useoutertheme{EKUT-poster}
\useinnertheme{EKUT-poster}
\usefonttheme {EKUT-poster}
\usecolortheme{EKUT}

% TikZ and tcolorbox
\RequirePackage{tikz}
\usetikzlibrary{shadows,shadings}
\RequirePackage{tcolorbox}
\tcbuselibrary{skins}
\tcbuselibrary{breakable}

\tikzset{myshadow/.style={                             % custom shadow with tikz
           opacity=.85,
           shadow xshift=0.15,
           shadow yshift=-0.15,
           shade,
           shading=axis,
           shading angle=230,
           },
}
\newtcolorbox{contentbox}[1]{                                               % set a custom tcolorbox
        skin=enhanced,
        frame style={
          draw=ekut-grey,               % border around the box
          drop shadow={myshadow},       % use our custom shadow
          },
        colback=ekut-grey!5,
        colbacktitle=ekut-red,
        bottom=7mm,                                    % distance between the body text and the bottom frame
        top=7mm,                                      % distance between the body text and the top frame
        boxrule=0.1em,                                   % frame width
        bottomtitle=0.2em,                               % distance between the title text and the bottom title frame
        toptitle=0.2em,                                  % distance between the title text and the top title frame
        lefttitle=0em,                                 % title text left margin
        before skip=0.3em,
        after skip=0.5em,
        fonttitle=\usebeamerfont{section title},
        center title,
        adjusted title=#1,
        breakable,
        height fixed for=first and middle,
}

\mode<all>

%
% Obviously, beamer needs at least one contentbox being generated, even if it's a
% hidden one.
%
\AtBeginDocument{
\begin{frame}<presentation:0>
\end{frame}
}
